## directoryassistant 1.2

=== Makefile ===
prefix = /usr
INSTALL = install

directoryassistant.1.gz:
	python -c 'import ldap'
	python -c 'import gobject'
	cat directoryassistant.1 | gzip > directoryassistant.1.gz

install: directoryassistant.1.gz
	${INSTALL} -d -m 755 ${prefix}/share/man/man1/
	${INSTALL} -d -m 755 ${prefix}/bin/
	${INSTALL} -g root -o root -m 0644 directoryassistant.1.gz ${prefix}/share/man/man1/
	${INSTALL} -g root -o root -m 0755 directoryassistant ${prefix}/bin/

uninstall:
	rm -f ${prefix}/share/man/man1/directoryassistant.1.gz
	rm -f ${prefix}/bin/directoryassistant

clean:
	rm -f *.gz
	rm -f *~

distclean: clean

## directoryassistant 2.0

=== Makefile ===
prefix = /usr
INSTALL = install

directoryassistant.1.gz:
	python -c 'import ldap'
	python -c 'import gobject'
	cat directoryassistant.1 | gzip -9 > directoryassistant.1.gz

install: directoryassistant.1.gz
	${INSTALL} -d -m 755 ${prefix}/share/man/man1/
	${INSTALL} -d -m 755 ${prefix}/bin/
	${INSTALL} -g 0 -o root -m 0644 directoryassistant.1.gz ${prefix}/share/man/man1/
	${INSTALL} -g 0 -o root -m 0755 directoryassistant ${prefix}/bin/

uninstall:
	rm -f ${prefix}/share/man/man1/directoryassistant.1.gz
	rm -f ${prefix}/bin/directoryassistant

clean:
	rm -f *.gz
	rm -f *~

distclean: clean

=== debian/changelog ===
directoryassistant (2.0-1.1) unstable; urgency=low

  * Non-maintainer upload; ACKed by the maintainer.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #668497).
  * Update to Standards-Version to 3.9.3, debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Note: patches were updated with "quilt refresh" to make
    them apply cleanly.
  * Fix no-homepage-field (Lintian).
  * Fix menu-item-creates-new-section (Lintian).
  * Fix dh_python-is-obsolete by using dh_python2 (Lintian).
  * Fix clean-should-be-satisfied-by-build-depends (Lintian) by switching
    changing Build-Depends-Indep to Build-Depends.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 11 May 2012 18:52:06 +0300

directoryassistant (2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Standards-Version bumped to 3.6.2.1.
  * debian/patches/03-initialdialog.dpatch added. (Closes: #294337)
  
 -- Gustavo Franco <stratus@debian.org>  Thu, 22 Dec 2005 23:01:50 -0200

directoryassistant (1.4-1) unstable; urgency=low

  * New upstream release. (Closes: #278776, #275479)
    - Thanks to tooar and Daniel van Eeden.
  * debian/watch added.
  * debian/directoryassistant.1 removed (using upstream manpage now).
  * short description changed to follow debian policy.
  
 -- Gustavo Franco <stratus@debian.org>  Sun, 30 Jan 2005 15:16:29 -0200

directoryassistant (1.3-1) unstable; urgency=medium

  * New upstream release
    - Thanks to tooar for the suggestions.
  * Configuration file permission fixed. (Closes: #265696)
  
 -- Gustavo Franco <stratus@acm.org>  Sat, 14 Aug 2004 18:07:35 -0300

directoryassistant (1.2-1) unstable; urgency=low

  * New upstream release
    - Graphical error message added. (Closes: #235431)

 -- Gustavo Franco <stratus@acm.org>  Sun, 25 Apr 2004 17:39:59 -0300

directoryassistant (1.1-1) unstable; urgency=low

  * Initial Release. (Closes: #229373)

 -- Gustavo Franco <stratus@acm.org>  Sun, 18 Jan 2004 01:16:45 -0200

=== debian/control ===
Source: directoryassistant
Section: net
Priority: optional
Maintainer: Gustavo Franco <stratus@debian.org>
Build-Depends: python (>= 2.3), debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://olivier.sessink.nl/directoryassistant

Package: directoryassistant
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 1.99.17-6), python-ldap(>= 1.9.999.pre14-1)
Description: small LDAP address book manager
 Directory Assistant is a small application for managing a 
 LDAP address book. The focus is to create a very easy to 
 use program, with only the few but necessary features. 
 The target is novice users that still need to keep their 
 addresses in an LDAP server.
 .
 It was written in Python language using GTK+ bindings.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules
# GNU copyright 2003 by Gustavo Franco.
# Based on the original debian/rules sample
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = directoryassistant

build-arch: build
build-indep: build

build: build-stamp

build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Installing the package.
	cp -f directoryassistant $(CURDIR)/debian/directoryassistant/usr/bin/directoryassistant
	cp -f directoryassistant.png $(CURDIR)/debian/directoryassistant/usr/share/directoryassistant/directoryassistant.png
	cp -f decoration.png $(CURDIR)/debian/directoryassistant/usr/share/directoryassistant/decoration.png

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installmenu
	dh_installman directoryassistant.1
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_python2
	dh_compress
	dh_fixperms
	dh_installdeb
	#dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=2
http://olivier.sessink.nl/directoryassistant/directoryassistant-(.*).tar.gz
